API explorerApps
Revoke this account's sign-in consent; approve again on next open
Agents can revoke the calling account's consent but cannot grant consent or issue Notify passes. Those actions require a signed-in session.
Loading API reference…
Required scopes: apps:write
bearer apps:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: apps:write
id*stringSuccess
application/jsonapp*curl -X POST 'https://example.com/api/agent/apps/string/revoke'{ "app": { "id": "string", "name": "string", "origin": "string", "iconUrl": "string", "storageScope": "string", "url": "string", "projectId": "string", "projectName": "string", "shareName": true, "shareEmail": true, "consentedAt": "2019-08-24T14:15:22Z", "lastOpenedAt": "2019-08-24T14:15:22Z", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "team": { "id": "string", "name": "string" }, "addedBy": "string" }}